Page MenuHomePhabricator

sidedata: gate sidedata functionality to revlogv2 in more places
ClosedPublic

Authored by Alphare on Apr 9 2021, 4:49 AM.

Details

Summary

Since revlogv1 is not capable of storing sidedata, we prevent sidedata
mechanisms around the revlog layer from doing anything. We however keep the
ones that allow a revlogv1 repo to generate sidedata on-the-fly on a push, the
pull case simply does not add the sidedata to the revlog.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Apr 9 2021, 4:49 AM
marmoute requested changes to this revision.Apr 9 2021, 6:00 AM
marmoute added a subscriber: marmoute.

why ?

This revision now requires changes to proceed.Apr 9 2021, 6:00 AM
Alphare edited the summary of this revision. (Show Details)Apr 10 2021, 3:14 PM
marmoute accepted this revision.Apr 16 2021, 7:38 AM
This revision now requires review to proceed.Apr 16 2021, 7:38 AM
Alphare updated this revision to Diff 27030.Apr 19 2021, 6:09 AM
Alphare updated this revision to Diff 27097.Apr 20 2021, 9:38 AM
marmoute accepted this revision.Apr 22 2021, 1:38 PM
baymax updated this revision to Diff 27298.May 3 2021, 6:06 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27448.May 3 2021, 9:01 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.